# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ExtractedTableColumn(Model):
    """Extraction information of a column in
    a table.

    :param header: List of extracted tokens for the column header.
    :type header:
     list[~azure.cognitiveservices.formrecognizer.models.ExtractedToken]
    :param entries: Extracted text for each cell of a column. Each cell
     in the column can have a list of one or more tokens.
    :type entries:
     list[list[~azure.cognitiveservices.formrecognizer.models.ExtractedToken]]
    """

    _attribute_map = {
        'header': {'key': 'header', 'type': '[ExtractedToken]'},
        'entries': {'key': 'entries', 'type': '[[ExtractedToken]]'},
    }

    def __init__(self, *, header=None, entries=None, **kwargs) -> None:
        super(ExtractedTableColumn, self).__init__(**kwargs)
        self.header = header
        self.entries = entries
